{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    <link rel="stylesheet" href="{{asset('css/fornitoreStyle.css')}}" />
{% endblock %}


{% block content %}

  <div class="ui raised segment" style="width: 98%">
    <div class="ui breadcrumb" style="margin: 2%">
      <a href="{{path('homepage')}}"class="section">Home</a>
      <i class="right angle icon divider"></i>
      <a href="{{path('home_fornitore', {'id' : fornitore.id})}}"class="section">{{fornitore.nomeAzienda}}</a>
      <i class="right angle icon divider"></i>
      <div class="active section">Aggiugni a listino</div>
    </div>
  </div>

  <h2 class="ui center aligned icon header">
    <i class="circular file text  icon"></i>
    Aggiungi prodotti al listino
  </h2>

  <form id="aggiungi-prodotti-listino-form" method="post">
    <i class="ui warning sign icon"></i><small><em>Solamente i prodotti selezionati saranno inseriti nel listino.</em></small>
    <table class="ui compact celled definition table">
      <thead>
        <tr>
          <th></th>
          <th>Nome</th>
          <th>Categoria</th>
          <th>Descrizione</th>
          <th>Assegna un prezzo</th>
        </tr>
      </thead>
      <tbody>
        {% for prodotto in prodotti %}
          <tr>
            <td class="collapsing">
              <div class="ui fitted toggle checkbox">
                <input type="checkbox" class="checkbox-prodotti" name="prodotti[]" data-id="{{prodotto.id}}"> <label></label>
              </div>
            </td>
            <td>{{prodotto.nome}}</td>
            <td>{{prodotto.tipo}}</td>
            <td>{{prodotto.descrizione}}</td>
            <td contenteditable="true"></td>
          </tr>
        {% endfor %}
      </tbody>
      <tfoot class="full-width">
        <tr>
          <th></th>
          <th colspan="4">
            <button style="margin: 0; display: inline; float:right" type="submit" class="submit-button ui right floated labeled icon primary button">
              <i class="add icon"></i> Aggiungi a listino
            </button>
          </th>
        </tr>
      </tfoot>
    </table>
  </form>

  {% block javascripts %}
  {% endblock %}


{% endblock %}
